#ifndef EXAMPLEEXTENSION_H
#define EXAMPLEEXTENSION_H

#include <extensions.h>

#include <examplewidget.h>

class ExampleExtension : public IExtension
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID IExtension_IID)
    Q_INTERFACES(IExtension)

    // IExtension interface
public:
    QString PluginName() override {
        return ">ExampleExtension";
    };

    // IExtension interface
public:
    QWidget *pluginAutoLoaderProcess() override {
        return new ExampleWidget;
    };
};

#endif // EXAMPLEEXTENSION_H
